# CameraConfiguration class

Configuration of the camera settings to be used while scanning.

## Constructors

CameraConfiguration({CameraModule cameraModule = CameraModule.BACK, List<double>? zoomSteps, double defaultZoomFactor = 1.0, bool flashEnabled = false, bool minFocusDistanceLock = false, bool touchToFocusEnabled = false, bool pinchToZoomEnabled = true, OrientationLockMode orientationLockMode = OrientationLockMode.NONE, CameraPreviewMode cameraPreviewMode = CameraPreviewMode.FILL_IN})
CameraConfiguration.fromJson(Map<String, dynamic> json)
  factory

## Properties

cameraModule ↔ CameraModule
  Which camera module to use on start-up. Default is BACK
  getter/setter pair
cameraPreviewMode ↔ CameraPreviewMode
  Which camera preview mode to use. Default is FILL_IN
  getter/setter pair
defaultZoomFactor ↔ double
  The default zoom factor on start-up. Default is 1.0
  getter/setter pair
flashEnabled ↔ bool
  Whether the flash is enabled by default. Default is false
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
minFocusDistanceLock ↔ bool
  Whether to lock the focus on the minimum possible distance (device-specific). Default is false
  getter/setter pair
orientationLockMode ↔ OrientationLockMode
  Which mode to use when orientation should be locked to landscape or portrait. Default is NONE
  getter/setter pair
pinchToZoomEnabled ↔ bool
  Whether pinch-to-zoom is enabled. Default is true
  getter/setter pair
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
touchToFocusEnabled ↔ bool
  Whether touch-to-focus is enabled. Android only. Default is false
  getter/setter pair
zoomSteps ↔ List<double>
  The number of zoom steps available to the user.
  getter/setter pair

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited